import {Avatar} from "@mui/material";
import avatar from "../assets/img/avatarGolub.jpg";
import styled from "styled-components";

const Nick = styled.div`
  margin-left: 20px;
  font-size: 15px;
  padding-top: 10px;
  font-weight: bold;

`
const AvatarNickWrapper = styled.div`
  display: flex`

function AvaLoginBlock({name, ava}) {
    return <>
        <AvatarNickWrapper>
            <Avatar src={ava ? ava.url : avatar} alt={"avatar"} sx={{border: "1px solid grey"}}/>
            <Nick>{name}</Nick>
        </AvatarNickWrapper>
    </>
}

export default AvaLoginBlock;