import styled from 'styled-components';
import Comment from "./Comment";

const CommentsBlockStyled = styled.div`
  width: 100%;
  overflow: auto;
  height: 60%;
  box-shadow: rgba(17, 17, 26, 0.1) 0px 1px 0px;
`


function CommentsBlock({post}) {
    return (<CommentsBlockStyled>
            <div>комент</div>
            {post && post.comments &&
            <>
                {post.comments.map((item, i) => <Comment commentData={item} key={i}/>)}
            </>}
        </CommentsBlockStyled>
    )
}

export default CommentsBlock;