import './App.css';
import {Navigate} from "react-router-dom"
import React from "react";
import Auth from "./components/Auth";
import {BrowserRouter, Routes, Route} from "react-router-dom";
import Profile from "./components/Profile";

function App(props) {
    return (
        <div>
            <BrowserRouter>
                <Routes>
                    <Route path="/" element={<Navigate to="/auth"/>}/>
                    <Route path="/auth" element={<Auth/>}/>
                    <Route path="/profile" element={<Profile/>}/>
                </Routes>
            </BrowserRouter>
        </div>
    );
}

export default App;
