import styled from "styled-components";

const UserInfoBlockStyled = styled.div`
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 40px;
  flex-direction: column;
`

const UserInfoBlock = ({count, description}) => {
    return (<UserInfoBlockStyled>
        <p>{count ? count : 0}</p>
        <p>{description}</p>
    </UserInfoBlockStyled>)
}
export default UserInfoBlock;